##  $Revision: 1.1 $
##
##  atari makefile for editline library.
##

##  Set your options:
##	-DHAVE_STDLIB		Have <stdlib.h>.
##	-DHIDE			Make static functions static (non debug).
##	-DHIST_SIZE=n		History size.
##	-DUNIQUE_HISTORY	Don't save command if same as last one.
##	-DUSE_TERMCAP		Use the termcap library for terminal size
##				see LDFLAGS, below, if you set this.
DEFS	= -DHAVE_STDLIB -DHIDE -DUSE_TERMCAP

##  Set your C compiler:
#WARN	= -Wall -Wshadow -Wpointer-arith -Wcast-qual -Wwrite-strings \
#	-Wunused -Wcomment -Wswitch
CC	= cgcc $(WARN) -mbaserel -mpcrel
#CC	= cc
CFLAGS	= $(DEFS) -O2 -fomit-frame-pointer -fstrength-reduce

##  If you have -DUSE_TERMCAP, set this as appropriate:
# LDFLAGS = -lmtermcap
LDFLAGS = -lbtermcap

##  Set ranlib as appropriate:
#RANLIB	= ranlib
RANLIB	= echo

##  End of configuration.

SOURCES	= editline.c complete.c sysatari.c
OBJECTS	= editline.o complete.o sysatari.o
SHARFILES =	README Makefile editline.3 editline.h unix.h editline.c \
		complete.c sysunix.c testit.c \
		Make.os9 os9.h sysos9.c \
		Make.st atarist.h sysatari.c

all:		blibedit.olb

testit:		testit.c blibedit.olb
	$(CC) $(CFLAGS) -o testit testit.c blibedit.olb $(LDFLAGS)

shar:		$(SHARFILES)
	shar $(SHARFILES) >shar

clean:
	rm -f *.[oa] *.olb testit foo core tags lint lint.all a.out shar

lint:		testit
	lint -a -b -u -x $(DEFS) $(SOURCES) testit.c >lint.all
	sed -e '/warning: function prototype not in scope/d' \
		-e '/warning: old style argument declaration/'d \
		-e '/mix of old and new style function declaration/'d \
		<lint.all >lint

blibedit.olb:	$(OBJECTS)
	@rm -f $@
	car rs $@ $(OBJECTS)

$(OBJECTS):	editline.h
